#创建目录
mkdir 777 /data/GPS.A

#创建并写入定时任务
echo "*/10 * * * * /data/GPS.sh" > /data/GPS.A/root
#设置权限
chmod 777 -R /data/GPS.sh
chmod 777 -R /data/GPS.A/root
#创建并写入定时执行脚本
echo "
# NTP服务器
resetprop persist.backup.ntpServer ntp1.aliyun.com
settings put global persist.backup.ntpServer ntp1.aliyun.com
settings put secure persist.backup.ntpServer ntp1.aliyun.com
settings put system persist.backup.ntpServer ntp1.aliyun.com
settings put global ntp_server ntp1.aliyun.com
settings put secure ntp_server ntp1.aliyun.com
settings put system ntp_server ntp1.aliyun.com
settings put global auto_time_zone 1
settings put secure auto_time_zone 1
settings put system auto_time_zone 1
resetprop persist.sys.timezone Asia/Shanghai
settings put global persist.sys.timezone Asia/Shanghai
settings put secure persist.sys.timezone Asia/Shanghai
settings put system persist.sys.timezone Asia/Shanghai
# 开启GPS 高精确度定位
settings put global location_providers_allowed +gps
settings put secure location_providers_allowed +gps
settings put system location_providers_allowed +gps
settings put global location_providers_allowed +network
settings put secure location_providers_allowed +network
settings put system location_providers_allowed +network
# 开启辅助GPS
settings put global assisted_gps_enabled 1
settings put secure assisted_gps_enabled 1
settings put system assisted_gps_enabled 1
# 查看注册网络类型
# settings get global assisted_gps_network
# 修改注册网络类型为ALL Network
# 默认为:HOME
settings put global assisted_gps_network ALL
settings put secure assisted_gps_network ALL
settings put system assisted_gps_network ALL
# GPS定位模式
# MSA为基站单次定位:适用于GPS信号差时
# MSB是始终使用网络定位
settings put global assisted_gps_position_mode MSB
settings put secure assisted_gps_position_mode MSB
settings put system assisted_gps_position_mode MSB
# GPS服务器地址
settings put global assisted_gps_supl_host supl.qxwz.com
settings put secure assisted_gps_supl_host supl.qxwz.com
settings put system assisted_gps_supl_host supl.qxwz.com
# GPS服务器端口
settings put global assisted_gps_supl_port 7276
settings put secure assisted_gps_supl_port 7276
settings put system assisted_gps_supl_port 7276
# MIUI默认
resetprop persist.sys.gps.polaris true
settings put global persist.sys.gps.polaris true
settings put secure persist.sys.gps.polaris true
settings put system persist.sys.gps.polaris true
resetprop persist.sys.mqs.gps 1
settings put global persist.sys.mqs.gps 1
settings put secure persist.sys.mqs.gps 1
settings put system persist.sys.mqs.gps 1
resetprop persist.sys.mqs.gps.rtk ON
settings put global persist.sys.mqs.gps.rtk ON
settings put secure persist.sys.mqs.gps.rtk ON
settings put system persist.sys.mqs.gps.rtk ON
resetprop persist.sys.mqs.gps.supl 1
settings put global persist.sys.mqs.gps.supl 1
settings put secure persist.sys.mqs.gps.supl 1
settings put system persist.sys.mqs.gps.supl 1
# 启用IZat OptInApp叠加
resetprop persist.vendor.overlay.izat.optin rro
settings put global persist.vendor.overlay.izat.optin rro
settings put secure persist.vendor.overlay.izat.optin rro
settings put system persist.vendor.overlay.izat.optin rro
# GNSS
resetprop persist.sys.miui_gnss_pc true
settings put global persist.sys.miui_gnss_pc true
settings put secure persist.sys.miui_gnss_pc true
settings put system persist.sys.miui_gnss_pc true
resetprop persist.sys.miui_gnss_dc true
settings put global persist.sys.miui_gnss_dc true
settings put secure persist.sys.miui_gnss_dc true
settings put system persist.sys.miui_gnss_dc true
# GNSS车道开关
resetprop persist.vendor.gnss.hpLocSetUI 1
settings put global persist.vendor.gnss.hpLocSetUI 1
settings put secure persist.vendor.gnss.hpLocSetUI 1
settings put system persist.vendor.gnss.hpLocSetUI 1
# 强制GNSS追踪
settings put global enable_gnss_raw_meas_full_tracking 1
settings put secure enable_gnss_raw_meas_full_tracking 1
settings put secure enable_gnss_raw_meas_full_tracking 1
rm -rf /cache/GPS执行日志.log
log=/cache/GPS执行日志.log
printf \"执行成功!\" >>\$log
echo \$(date +%F%n%T) >> \$log
" > /data/GPS.sh

#启动crond定时进程
crond -c /data/GPS.A
done